# dmd.imphint

Give import hints for common symbol names that couldn't be resolved.

#### Discussion

For example, prompt to `import std.stdio` when using `writeln`.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: imphint.d

Documentation: https://dlang.org/phobos/dmd_imphint.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/imphint.d

- `importHint`

  #### Declaration

  `const(char)[] `importHint`(const(char)[] `s`);`

  Looks for undefined identifier `s` to see if it might be undefined because an import was not specified. Not meant to be a comprehensive list of names in each module, just the most common ones.